#include <bits/stdc++.h>
using namespace std;
typedef unsigned long long ull;

int main()
{
    int n; cin >> n;
    vector<int> x(n),y(n),z(n);
    for(int i=0;i<n;i++)cin >> x[i];
    for(int i=0;i<n;i++)cin >> y[i];
    for(int i=0;i<n;i++)cin >> z[i];
    map<int,ull> mp;
    for(int i=0;i<n;i++){
        mp[y[z[i]-1]]++;
    }
    ull sol=0;
    for(int i=0;i<n;i++)sol+=mp[x[i]];
    cout << sol << '\n';
    return 0;
}